### Method

# Ide SearchResult activate

#### Declaration

    void
    ide_search_result_activate (
      IdeSearchResult* self,
      GtkWidget* last_focus
    )

#### Description

Requests that `self` activate. `last_focus` is provided so that the search result may activate `GAction` or other context-specific actions.

Available since: | 3.32

#### Parameters

`last_focus` | `GtkWidget`
| A `GtkWidget` of the last focus.
| The data is owned by the caller of the function.